function plotGradBaCo(this,varargin)
  p = inputParser; 
  p.addParamValue('scale',0.5,@isscalar);
  p.parse(varargin{:});
  R=p.Results;
  scale=this.h*R.scale;
  Ba=barycenters(this);
  Normal=NormalFaces(this);
  RGBcolors = selectColors(this.d+1);%,'background', BK);
  switch this.dim
    case 2
      for i=1:this.d+1
        quiver(Ba(1,:),Ba(2,:),scale*squeeze(Normal(i,1,:))',scale*squeeze(Normal(i,2,:))',0,'Color',RGBcolors(i,:))
        line([Ba(1,:);this.q(1,this.me(i,:))],[Ba(2,:);this.q(2,this.me(i,:))], ...
            'Color',RGBcolors(i,:),'LineStyle',':')
      end
    case 3
      for i=1:this.d+1
        quiver3(Ba(1,:),Ba(2,:),Ba(3,:),scale*squeeze(Normal(i,1,:))',scale*squeeze(Normal(i,2,:))', ...
        scale*squeeze(Normal(i,3,:))',0,'Color',RGBcolors(i,:))
        line([Ba(1,:);this.q(1,this.me(i,:))], ...
            [Ba(2,:);this.q(2,this.me(i,:))], ...
            [Ba(3,:);this.q(3,this.me(i,:))],'Color',RGBcolors(i,:),'LineStyle',':')
      end
    otherwise
      warning('Unable to plot in space dimension %d',this.dim); 
  end
end
